Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.table
Interface TableColumnModel

All Known Implementing Classes:
  DefaultTableColumnModel

public abstract interface TableColumnModel

Defines the requirements for a model object suitable for use with JTable.

See Also:
  `DefaultTableColumnModel`

Method Summary
`void` | `addColumn(TableColumn aColumn)` Appends aColumn to the end of the receiver's tableColumns array.
`void` | `addColumnModelListener(TableColumnModelListener x)` Add a listener for table column model events.
`TableColumn` | `getColumn(int columnIndex)` Returns the TableColumn object for the column at columnIndex
`int` | `getColumnCount()` Returns the number of columns in the model
`int` | `getColumnIndex(java.lang.Object columnIdentifier)` Returns the index of the first column in the receiver's columns array whose identifier is equal to identifier, when compared using equals().
`int` | `getColumnIndexAtX(int xPosition)` Returns the index of the column that lies on the xPosition, or -1 if it lies outside the any of the column's bounds.
`int` | `getColumnMargin()` Returns the width margin between each column
`java.util.Enumeration` | `getColumns()` Returns an Enumeration of all the columns in the model
`boolean` | `getColumnSelectionAllowed()` Returns true if columns can be selected.
`int` | `getSelectedColumnCount()` Returns the number of selected columns.
`int[]` | `getSelectedColumns()` Returns an array of indexes for selected columns
`ListSelectionModel` | `getSelectionModel()` Returns the current selection model.
`int` | `getTotalColumnWidth()` Returns the total width of all the columns.
`void` | `moveColumn(int columnIndex, int newIndex)` Moves the column and heading at columnIndex to newIndex.
`void` | `removeColumn(TableColumn column)` Deletes the TableColumn column from the receiver's table columns array.
`void` | `removeColumnModelListener(TableColumnModelListener x)` Remove a listener for table column model events.
`void` | `setColumnMargin(int newMargin)` Sets the TableColumn's column margin to newMargin.
`void` | `setColumnSelectionAllowed(boolean flag)` Sets whether the columns in this model can be selected.
`void` | `setSelectionModel(ListSelectionModel newModel)` Sets the selection model, which handles selections.

Method Detail

### addColumn

    public void addColumn(TableColumn aColumn)

  Appends aColumn to the end of the receiver's tableColumns array. This method also posts the columnAdded() event to its listeners.
  Parameters:
    `aColumn` - The TableColumn to be added
  See Also:
    `removeColumn(javax.swing.table.TableColumn)`

### removeColumn

    public void removeColumn(TableColumn column)

  Deletes the TableColumn column from the receiver's table columns array. This method will do nothing if column is not in the table's columns list. This method also posts the columnRemoved() event to its listeners.
  Parameters:
    `column` - The TableColumn to be removed
  See Also:
    `addColumn(javax.swing.table.TableColumn)`

### moveColumn

    public void moveColumn(int columnIndex,
                           int newIndex)

  Moves the column and heading at columnIndex to newIndex. The old column at columnIndex will now be found at newIndex, The column that used to be at newIndex is shifted left or right to make room. This will not move any columns if columnIndex equals newIndex. This method also posts the columnMoved() event to its listeners.
  Parameters:
    `columnIndex` - the index of column to be moved
    `newIndex` - New index to move the column
  Throws:
    java.lang.IllegalArgumentException - if column or newIndex are not in the valid range

### setColumnMargin

    public void setColumnMargin(int newMargin)

  Sets the TableColumn's column margin to newMargin. This method also posts the columnMarginChanged() event to its listeners.
  Parameters:
    `newMargin` - the width margin of the column
  See Also:
    `getColumnMargin()`

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the model

### getColumns

    public java.util.Enumeration getColumns()

  Returns an Enumeration of all the columns in the model

### getColumnIndex

    public int getColumnIndex(java.lang.Object columnIdentifier)

  Returns the index of the first column in the receiver's columns array whose identifier is equal to identifier, when compared using equals().
  Parameters:
    `identifier` - the identifier object
  Returns:
    the index of the first table column in the receiver's tableColumns array whose identifier is equal to identifier, when compared using equals().
  Throws:
    java.lang.IllegalArgumentException - if identifier is null or no TableColumn has this identifier
  See Also:
    `getColumn(int)`

### getColumn

    public TableColumn getColumn(int columnIndex)

  Returns the TableColumn object for the column at columnIndex
  Parameters:
    `columnIndex` - the index of the column desired
  Returns:
    the TableColumn object for the column at columnIndex

### getColumnMargin

    public int getColumnMargin()

  Returns the width margin between each column

### getColumnIndexAtX

    public int getColumnIndexAtX(int xPosition)

  Returns the index of the column that lies on the xPosition, or -1 if it lies outside the any of the column's bounds.
  Returns:
    the index of the column or -1 if no column is found

### getTotalColumnWidth

    public int getTotalColumnWidth()

  Returns the total width of all the columns.

### setColumnSelectionAllowed

    public void setColumnSelectionAllowed(boolean flag)

  Sets whether the columns in this model can be selected.
  See Also:
    `getColumnSelectionAllowed()`

### getColumnSelectionAllowed

    public boolean getColumnSelectionAllowed()

  Returns true if columns can be selected.
  Returns:
    true if columns can be selected
  See Also:
    `setColumnSelectionAllowed(boolean)`

### getSelectedColumns

    public int[] getSelectedColumns()

  Returns an array of indexes for selected columns
  Returns:
    an array of ints giving the indexes of all selected columns, or an empty int array if no column is selected.

### getSelectedColumnCount

    public int getSelectedColumnCount()

  Returns the number of selected columns.
  Returns:
    the number of selected columns, or 0 if no columns are selected

### setSelectionModel

    public void setSelectionModel(ListSelectionModel newModel)

  Sets the selection model, which handles selections.
  Parameters:
    `newModel` - a ListSelectionModel object
  See Also:
    `getSelectionModel()`

### getSelectionModel

    public ListSelectionModel getSelectionModel()

  Returns the current selection model.
  Returns:
    a ListSelectionModel object representing the selection model val
  See Also:
    `setSelectionModel(javax.swing.ListSelectionModel)`

### addColumnModelListener

    public void addColumnModelListener(TableColumnModelListener x)

  Add a listener for table column model events.
  Parameters:
    `x` - a TableColumnModelListener object

### removeColumnModelListener

    public void removeColumnModelListener(TableColumnModelListener x)

  Remove a listener for table column model events.
  Parameters:
    `x` - a TableColumnModelListener object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.